Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Protocollo apt non associato
#1
Nuovo problema . Nel tentativo di aprire una pagina dal sito di ubuntu mi da la schermata che allego. Come suggerito nei vari forum ho aggiornato firefox, ho controllato che fosse installato apturl ma niente da fare. Come posso risolvere?
Il mio S.O.è linux mint 14


Allegati Anteprime
   
Cita messaggio
#2
Huh
Forse dipende dal fatto che al contrario di ubuntu,su mint non è installato ubuntu software centre con cui aprire le associazioni apt .

Cita messaggio
#3
(22-05-2013, 15:12 )brunik Ha scritto: Huh
Forse dipende dal fatto che al contrario di ubuntu,su mint non è installato ubuntu software centre con cui aprire le associazioni apt .

C'è la soluzione?
Cita messaggio
#4
Provare ad installare ubuntu software centre su mint Huh
Non so poi quanto ti conviene,forse non è quello il problema,comunque aspetta
qualche altra risposta.

Cita messaggio
#5
Non ho mai usato mint ma non credo che abbia l'ubuntusoftware center.

A parte questo, la dicitura 'protocollo' è uno standard che non riflette esattamente come stanno le cose.
Infatti apt è un programma e non un'estensione o un header che possano indicare con quale programma fare cosa con un file.
Lì c'è stato qualche pasticcio che ha portato il browser a puntare un'istruzione per apt come se fosse un file e il sistema si è attivato in quel senso dando un errore.

Non so quale sistema usi mint per aggiornarsi, a parte che sicuramente si basa su apt e quindi al limite si può prendere quel comando e agirlo da shell, tanto per vedere cosa succede.
[Immagine: http://pclinuxos.com/forum/avatars/Pengu...guitux.png] Parole !
Mai che se ne trovino due uguali !
Cita messaggio
#6
(22-05-2013, 16:57 )zafran Ha scritto: Non ho mai usato mint ma non credo che abbia l'ubuntusoftware center.

A parte questo, la dicitura 'protocollo' è uno standard che non riflette esattamente come stanno le cose.
Infatti apt è un programma e non un'estensione o un header che possano indicare con quale programma fare cosa con un file.
Lì c'è stato qualche pasticcio che ha portato il browser a puntare un'istruzione per apt come se fosse un file e il sistema si è attivato in quel senso dando un errore.

Non so quale sistema usi mint per aggiornarsi, a parte che sicuramente si basa su apt e quindi al limite si può prendere quel comando e agirlo da shell, tanto per vedere cosa succede.

Scusami puoi essere più preciso su cosa intendi per prendere il comando e agirlo da shell. In pratica cosa devo fare.
Cita messaggio
#7
C'è un set di comandi (apt) che gestiscono i pacchetti.
Su questo insieme di comandi si sono costruite varie interfacce di cui una è l'UbuntuSoftwareCenter usata da ubuntu e un'altra molto diffusa è synaptic, usata anche da mint (mi sono informato) e da molte altre fa cui debian stessa e addirittura pclinuxos che usa pacchetti .rpm e non .deb.
Comunque sia, questi programmi sono delle gui per l'attivazione delle varie opzioni e varianti dei comandi apt.

Quello che dicevo è che probabilmente tu hai trovato da qualche parte un comando che cominciava con 'apt' e che naturalmente da browser non poteva essere eseguito ma lo potrebbe essere da shell essendo un comando testuale.
Non sapresti ritrovarlo?
[Immagine: http://pclinuxos.com/forum/avatars/Pengu...guitux.png] Parole !
Mai che se ne trovino due uguali !
Cita messaggio
#8
Linux Mint utilizza il proprio software center , non quello di ubuntu , ed in alternativa anche migliore e molto più affidabile la classica interfaccia di Synaptic .
In entrambe i casi sono sempre e solo intefaccie di comunicazione con la shell di apt presente attiva in backgrown e senza la cui presenza non servirebbero assolutamente a nulla.
Come in qualunque distribuzione anche in linux il software non lo si va a cercare in giro per l' web
se hai bisogno di installare pacchetti di terze parti , devono assolutamente in primo luogo essere compatibile per la versione della distribuzione in uso.
In linux mint , ubuntu e debian puoi procedere a download e installazione diretta sia da rete , che in locale tramite il supporto di gdebi che deve essere chiaramente presente installato nel SO .
Tipico esempio download e installazione di skype direttamente dal sito di skype , ti viene chiesto con cosa lo vuoi aprire se gdebi è presente ti viene consigliato pr default , altrimenti puoi sfruttare comunque il supporto del software center. .

Prima di installare nuovi pacchetti , o aggiornare il SO devi sempre procedere ad agiornare il dblocale di apt . e se il caso e di norma a termine installazione iniziale lo è sempre anche l' intero SO ,
Quidi da console utente dai in sequenza i comandi:
sudo apt-get udate
sudo apt-get -f dist-upgrade
il ricorso ad interfaccia grafica , per operazioni che sono più rapide e sicure da comando apt diretto in console non ha senso , così come non ha molto senso se si devono installare pochi pacchetti dei quali conosciamo esattamente il nome assegnato sul server delle repositry
sudo apt-get install namepackage1 namepackage2 namepackage3 .....namepakage x
man apt
man dpkg
di questi due comandi diretti e fondamentali nella gestione del software devi imparare a conoscere vita morte e miracoli , le guide estese ci sono , oltretutto disponibili anche come pacchetti per il SO consultabili sia direttamente in locale che da rete.
Cita messaggio
#9
Correggetemi se sbaglio, da quello che ho capito il linck che tentavo di aprire è un collegamento che installa direttamente un programma o pacchetti (nel mio caso sono linck per ubuntu) per questa ragione il browser non lo apre.
Cita messaggio
#10
Non voglio essere troppo fasitidioso ma se qualcuno mi dice qualcosa chiudo la discussione se non c'è altro da aggiungere.:indeciso2:
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)